## InfcNodeRequest InfcNodeRequest |

## Synopsis

                        InfcNodeRequest;
    struct              InfcNodeRequestClass;
    void                infc_node_request_finished          (InfcNodeRequest *request,
                                                             const InfcBrowserIter *iter);

## Object Hierarchy

      GObject
       +----InfcRequest
             +----InfcNodeRequest

## Properties

      "node-id"                  guint                 : Read / Write / Construct Only

## Signals

      "finished"                                       : Run Last

## Description

## Details

### InfcNodeRequest

    typedef struct _InfcNodeRequest InfcNodeRequest;

### struct InfcNodeRequestClass

    struct InfcNodeRequestClass {
      InfcRequestClass parent_class;

      /* Signals */
      void (*finished)(InfcNodeRequest* node_request,
                       const InfcBrowserIter* iter);
    };

### infc_node_request_finished ()

    void                infc_node_request_finished          (InfcNodeRequest *request,
                                                             const InfcBrowserIter *iter);

Emits the "finished" signal on `request`.

`request` : | A InfcNodeRequest.
`iter` : | A InfcBrowserIter pointing to a node affected by the request.

## Property Details

### The `"node-id"` property

      "node-id"                  guint                 : Read / Write / Construct Only

The ID of the node affected by the request.

Default value: 0

## Signal Details

### The `"finished"` signal

    void                user_function                      (InfcNodeRequest *infcnoderequest,
                                                            InfcBrowserIter *arg1,
                                                            gpointer         user_data)            : Run Last

`infcnoderequest` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.